Loading...
Searching...
No Matches
voms_api.h File Reference
`#include <fstream>`
`#include <string>`
`#include <vector>`
`#include <openssl/x509.h>`
`#include <openssl/bio.h>`
`#include <sys/types.h>`
`#include "newformat.h"`

Go to the source code of this file.

## Data Structures

struct | data
| User's characteristics: can be repeated.Generic name-value attribute : can be repeated. More...
struct | attribute
struct | attributelist
struct | contactdata
struct | voms
struct | vomsdata

## Macros

#define | NOGLOBUS

## Typedefs

typedef void * | gss_cred_id_t
typedef void * | gss_ctx_id_t
typedef bool(* | check_sig) (X509 *, void *, verror_type &)

## Enumerations

enum | data_type { TYPE_NODATA , TYPE_STD , TYPE_CUSTOM }
| The type of data returned. More...
enum | recurse_type { RECURSE_CHAIN , RECURSE_NONE , RECURSE_DEEP }
enum | verify_type { VERIFY_FULL = 0xffffffff , VERIFY_NONE = 0x00000000 , VERIFY_DATE = 0x00000001 , VERIFY_TARGET = 0x00000002 , VERIFY_KEY = 0x00000004 , VERIFY_SIGN = 0x00000008 , VERIFY_ORDER = 0x00000010 , VERIFY_ID = 0x00000020 , VERIFY_CERTLIST = 0x00000040 }
enum | verror_type { VERR_NONE , VERR_NOSOCKET , VERR_NOIDENT , VERR_COMM , VERR_PARAM , VERR_NOEXT , VERR_NOINIT , VERR_TIME , VERR_IDCHECK , VERR_EXTRAINFO , VERR_FORMAT , VERR_NODATA , VERR_PARSE , VERR_DIR , VERR_SIGN , VERR_SERVER , VERR_MEM , VERR_VERIFY , VERR_TYPE , VERR_ORDER , VERR_SERVERCODE , VERR_NOTAVAIL , VERR_FILE }
| Error codes. More...

## Functions

int | getVOMSMajorVersionNumber (void)
int | getVOMSMinorVersionNumber (void)
int | getVOMSPatchVersionNumber (void)

## Macro Definition Documentation

## NOGLOBUS

#define NOGLOBUS

Definition at line 34 of file voms_api.h.

## Typedef Documentation

## check_sig

typedef bool(* check_sig) (X509 *, void *, verror_type &)

Definition at line 193 of file voms_api.h.

## gss_cred_id_t

typedef void* gss_cred_id_t

Definition at line 45 of file voms_api.h.

## gss_ctx_id_t

typedef void* gss_ctx_id_t

Definition at line 46 of file voms_api.h.

## Enumeration Type Documentation

## data_type

enum data_type

The type of data returned.

Enumerator
TYPE_NODATA | no data
TYPE_STD | group, role, capability triplet
TYPE_CUSTOM | result of an S command

Definition at line 80 of file voms_api.h.

## recurse_type

enum recurse_type

Enumerator
RECURSE_CHAIN |
RECURSE_NONE |
RECURSE_DEEP |

Definition at line 146 of file voms_api.h.

## verify_type

enum verify_type

Enumerator
VERIFY_FULL |
VERIFY_NONE |
VERIFY_DATE |
VERIFY_TARGET |
VERIFY_KEY |
VERIFY_SIGN |
VERIFY_ORDER |
VERIFY_ID |
VERIFY_CERTLIST |

Definition at line 152 of file voms_api.h.

## verror_type

enum verror_type

Error codes.

Enumerator
VERR_NONE |
VERR_NOSOCKET | Socket problem
VERR_NOIDENT | Cannot identify itself (certificate problem)
VERR_COMM | Server problem
VERR_PARAM | Wrong parameters
VERR_NOEXT | VOMS extension missing
VERR_NOINIT | Initialization error
VERR_TIME | Error in time checking
VERR_IDCHECK | User data in extension different from the real ones
VERR_EXTRAINFO | VO name and URI missing
VERR_FORMAT | Wrong data format
VERR_NODATA | Empty extension
VERR_PARSE | Parse error
VERR_DIR | Directory error
VERR_SIGN | Signature error
VERR_SERVER | Unidentifiable VOMS server
VERR_MEM | Memory problems
VERR_VERIFY | Generic verification error
VERR_TYPE | Returned data of unknown type
VERR_ORDER | Ordering different than required
VERR_SERVERCODE | Error message from the server
VERR_NOTAVAIL | Method not available
VERR_FILE | Error reading data from file

Definition at line 166 of file voms_api.h.

## Function Documentation

## getVOMSMajorVersionNumber()

int getVOMSMajorVersionNumber | ( | void |  | ) |

## getVOMSMinorVersionNumber()

int getVOMSMinorVersionNumber | ( | void |  | ) |

## getVOMSPatchVersionNumber()

int getVOMSPatchVersionNumber | ( | void |  | ) |